Bug 1918167 - unable to set "Default HTTP Proxy" field to "no global default".
Summary: unable to set "Default HTTP Proxy" field to "no global default".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Settings
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.9.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 08:44 UTC by Jameer Pathan
Modified: 2021-04-21 13:25 UTC (History)
4 users (show)

Fixed In Version: foreman-2.3.1.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32046 0 Normal Ready For Testing Cannot set setting value to empty for settings with selection 2021-03-09 12:29:30 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:54 UTC

Description Jameer Pathan 2021-01-20 08:44:28 UTC
Description of problem:
unable to set "Default HTTP Proxy" field to "no global default".

Version-Release number of selected component (if applicable):
- Satellite 6.9.0 snap 9

How reproducible:
- Always

Steps to Reproduce:
1. Create a Http Proxy (Go to Infrastructure > Http Proxies)
2. Go to Administer > Settings > Content tab
3. Set "Default HTTP Proxy"
4. Now try to set "Default HTTP Proxy" to "no global default".

Actual results:
Oh no! Something went wrong while submitting the form, the server returned the following error: Error: Request failed with status code 422

Expected results:
- User is able to set "Default HTTP Proxy" to "no global default".

Additional info:

2021-01-20T03:42:34 [E|app|9a9bad14] Unprocessable entity Setting::Content (id: 198):
 9a9bad14 |   There is no such HTTP Proxy
 9a9bad14 | 
2021-01-20T03:42:34 [I|app|9a9bad14]   Rendering api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout
2021-01-20T03:42:34 [I|app|9a9bad14]   Rendered api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout (Duration: 4.8ms | Allocations: 6575)
2021-01-20T03:42:34 [D|app|9a9bad14] Body: {
 9a9bad14 |   "error": {"id":198,"errors":{"base":["There is no such HTTP Proxy"]},"full_messages":["There is no such HTTP Proxy"]}
 9a9bad14 | }
 9a9bad14 | 
2021-01-20T03:42:34 [I|app|9a9bad14] Completed 422 Unprocessable Entity in 26ms (Views: 8.4ms | ActiveRecord: 3.1ms | Allocations: 18645)


Workaround:
- Use hammer CLI to unset content_default_http_proxy
hammer> settings set --name content_default_http_proxy --value ""

Comment 1 Marek Hulan 2021-02-19 08:39:43 UTC
Created redmine issue https://projects.theforeman.org/issues/31923 from this bug

Comment 2 Marek Hulan 2021-02-19 11:55:52 UTC
This seems to be fixed already in the upstream. For some reason, the form submission sends the text "no global default" instead of "". The same works for host_owner setting though, which seems to be implemented the same way. I was unable to find the fix in the upstream repos.

Comment 3 Tomer Brisker 2021-02-25 10:20:30 UTC
This was probably fixed by https://projects.theforeman.org/issues/31603 which landed in snap 11, moving to ON_QA for verification

Comment 4 Jameer Pathan 2021-03-08 13:20:51 UTC
FailedQA

Tested on:
- Satellite 6.9.0 snap 16

Test steps:
1. Create a Http Proxy (Go to Infrastructure > Http Proxies)
2. Go to Administer > Settings > Content tab
3. Set "Default HTTP Proxy"
4. Now try to set "Default HTTP Proxy" to "no global default".

Actual results:
Oh no! Something went wrong while submitting the form, the server returned the following error: There is no such HTTP Proxy

Comment 5 Bryan Kearney 2021-03-08 16:02:21 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Tomer Brisker 2021-03-09 12:29:29 UTC
Connecting redmine issue https://projects.theforeman.org/issues/32046 from this bug

Comment 8 Jameer Pathan 2021-03-12 06:41:52 UTC
Verified:

Verified with:
- Satellite 6.9.0 snap 17

Test steps:
1. Create a Http Proxy (Go to Infrastructure > Http Proxies)
2. Go to Administer > Settings > Content tab
3. Set "Default HTTP Proxy"
4. Now set "Default HTTP Proxy" to "no global default".

Observations:
- Successfully set "Default HTTP Proxy" field to "no global default".

Comment 11 errata-xmlrpc 2021-04-21 13:25:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.